// Persistence of Vision Ray Tracer Scene Description File
// File: *.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 0 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc

#declare Direction = 1;
#declare Camera_Position = < 0.0, 5.0,-20.0*Direction >;
#declare Camera_lookat =   < 0.0, 0.0, 0.0 >;

camera { location Camera_Position
         direction z*Direction up y right x*4/3
         look_at  Camera_lookat }

// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }
light_source	{ <-0, 1000, 1000 > Weiss }
light_source	{ < 1000,-1000,-1000 > Weiss*.4 }

#declare Sterne = 1;

#include "rp_gleiter02.inc"
object { rp_gleiter02 rotate y*-35  } 

#if (Sterne = 0)
sky_sphere { S_Cloud2rp }
#end
#if (Sterne = 1)
#declare star_count = 10000;
#declare min_distance = 80000;
#declare max_distance = min_distance*5;
#declare star_size = 150;
#declare star_seed =  5678;
#declare star_object = sphere {<0, 0, 0>, 1 pigment { h50_Blau } finish { ambient 1 phong 0 } }
#include "starfld.inc"
#end