global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 1 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // rp2.inc = Bestandteil von rp.inc

#declare Direction = 1;
#declare Camera_Position = < 5.0 , 5.0 ,-15*Direction >;
#declare Camera_lookat =   < 0.0 , 5.0 , 0.0 >;

camera { location Camera_Position
         direction z*Direction up y right x*4/3
         look_at  Camera_lookat }

light_source	{ < -1000, 1000,-1000 > Weiss }
light_source	{ <   500,   50, -500 > Weiss*0.5 }
// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

#declare star_count = 10000;
#declare min_distance = 80000;
#declare max_distance = min_distance*5;
#declare star_size = 150;
#declare star_seed =  5678;
#declare star_object = sphere {<0, 0, 0>, 1 pigment { h50_Blau } finish { ambient 1 phong 0 } }
#include "starfld.inc"

#declare Saeule =
lathe { linear_spline 12,
 < 0.0, 0.0>, < 2.5, 0.0>, < 2.5, 0.75>, < 2.0, 0.75>,
 < 2.0, 1.5>, < 1.5, 1.5>, < 1.5, 13.5>, < 2.0, 13.5>,
 < 2.0, 14.25>, < 2.5, 14.25>, < 2.5, 15.0>, < 0.0, 15.0> }

plane { y, 0 texture { RP_Wasser1 } }

#declare Dist_1 = 15;
union{
object { Saeule translate <-10.0, 0.0,-Dist_1*2 > }
object { Saeule translate <-10.0, 0.0,-Dist_1*1 > }
object { Saeule translate <-10.0, 0.0, Dist_1*0 > }
object { Saeule translate <-10.0, 0.0, Dist_1*1 > }
object { Saeule translate <-10.0, 0.0, Dist_1*2 > }
object { Saeule translate <-10.0, 0.0, Dist_1*3 > }
object { Saeule translate <-10.0, 0.0, Dist_1*4 > }

object { Saeule translate < 10.0, 0.0,-Dist_1*2 > }
object { Saeule translate < 10.0, 0.0,-Dist_1*1 > }
object { Saeule translate < 10.0, 0.0, Dist_1*0 > }
object { Saeule translate < 10.0, 0.0, Dist_1*1 > }
object { Saeule translate < 10.0, 0.0, Dist_1*2 > }
object { Saeule translate < 10.0, 0.0, Dist_1*3 > }
object { Saeule translate < 10.0, 0.0, Dist_1*4 > }

texture { Marmor_rp_tex } }

fog { fog_type 2 distance 50 color rgb < 0.2, 0.25, 0.3 >
 fog_offset .75 fog_alt 10 turbulence 5 }

#declare Pilotenzahl02  = 4;  // 0...5
#declare Cockpit_open02 = 75; // 0...90
#declare Hyperantrieb02 = 0;  // 0 | 1
#declare Armatur02      = 1;  // 0 | 1 
#declare GondelWinkel02 = 75; // -90...90
#include "rp_gleiter02.inc"
object { rp_gleiter02 translate <0,3,2> }

#declare Breite = 1024;	// x_Wert des Bildes
#declare Hoehe = 512;	  // y_Wert des Bildes
#declare Tiefe = 150;  	// Oben-Unten Ausdehnung

height_field { gif "ncc2erde"
 pigment { image_map { gif "ncc2erde" } rotate x*90 }
 scale < Breite, Tiefe, Hoehe > finish { phong 0 }
  translate <-Breite/1.5,-Tiefe*0.1, 500 > smooth }

#declare F1 = color rgbf <1.0,0.95,0.9,0.3>;
#declare F2 = color rgbf <0.9,0.9,0.9,0.3>;
#declare F3 = color rgbf <0.9,0.95,0.8,0.3>;
#declare F4 = color rgbf <1.0,0.99,0.9,0.3>;

#include "effect.inc"
#declare Saturn = union { sphere { 0, 1 texture { Asteroid scale 0.1 } }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.30 , 1.20 pigment { F1 } translate y*0.01  }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.35 , 1.29 pigment { F4 } translate y*-0.01 }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.47 , 1.35 pigment { F1 } translate y*0.00  }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.51 , 1.46 pigment { F2 } translate y*0.02  }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.60 , 1.49 pigment { F3 } translate y*0.00  }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.66 , 1.60 pigment { F1 } translate y*0.01  }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.72 , 1.65 pigment { F2 } translate y*-0.01 }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.82 , 1.71 pigment { F4 } translate y*0.00  }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.88 , 1.80 pigment { F2 } translate y*-0.01 }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.94 , 1.87 pigment { F1 } translate y*0.00  }
  disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 2.05 , 1.93 pigment { F3 } translate y*0.01  }
}

object { Saturn rotate z*-22.5 rotate x*-15
 scale 600 translate <-3200,1500,5000> }
